CVE-2020-2187: Amazon vulnerability

Share this with people that should know this:

Jenkins Amazon EC2 Plugin 1.50.1 and earlier unconditionally accepts self-signed certificates and does not perform hostname validation, enabling man-in-the-middle attacks.

References

  • jenkins.io/security/advisory/2020-05-06/#SECURITY-1528
  • www.openwall.com/lists/oss-security/2020/05/06/3
  • Share this with people that should know this: